Bulk enable or disable property configurations
PUT
https://api.propexo.com/v1/admin/integrations/:integration_id/properties/batchUpdates the enabled flag for many property configuration records for an integration. This is a batch form of updating a single property configuration.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
integration_id stringrequired
The Propexo unique identifier for the integration
Request
This endpoint expects an object.
property_configuration_idsstring[]required
Property configuration IDs (enabled_properties) to update; at least one and at most 1000.
Possible values: >= 1, <= 1000
enabledbooleanrequired
Whether the listed properties should be enabled for syncing.
Response
Successful response
successbooleanrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/admin/integrations/:integration_id/properties/batch
- cURL
- Node.js
- Python
curl -X PUT https://api.propexo.com/v1/admin/integrations/:integration_id/properties/batch \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"property_configuration_ids": [
"string"
],
"enabled": true
}'
const response = await fetch("https://api.propexo.com/v1/admin/integrations/:integration_id/properties/batch", {
method: "PUT",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"property_configuration_ids": [
"string"
],
"enabled": true
}),
});
const data = await response.json();
import requests
response = requests.put(
"https://api.propexo.com/v1/admin/integrations/:integration_id/properties/batch",
headers={"Authorization": "Bearer <token>"},
json={
"property_configuration_ids": [
"string"
],
"enabled": True
},
)
data = response.json()
200 Successful response
{
"success": true
}